Subject: Re: [PATCH v2 00/13] Add rdkit v2.

From: David Elsing <[email-masked]>
Date: Thu, 13 Oct 2022 20:58:28 +0000

Liliana Marie Prikler <[email-masked]> writes:

> Am Freitag, dem 07.10.2022 um 15:21 +0000 schrieb David Elsing:
>> Thanks a lot for your comments, they are very helpful!
>> Sorry about the descriptions, I took them mostly from upstream. :)
>> Are they still too short?
> I don't think we can magically poof good descriptions into existence
> when upstreams don't provide them.  That being said, it's best to clean
> up whatever's there.  Changing descriptions is a lowball issue, though,
> I (or another committer) can do so as we're upstreaming it.
>
>> I still have the following problems:
>> * The tests of tinydir contain a bundled fork of cbehave which uses a
>>   (bundled) copy of rlutil, so I left them disabled for now.
> I mentioned this in a reply to another message already, but the idea
> would be to 1. try to use upstream versions or 2. try to package the
> bundles. 
I noticed that there was only one test anyway, so I just made a patch to
run it with the upstream version (which was last updated in 2013).
>
>> * Building the documentation of yaehmop with pdflatex is not
>> reproducible even
>>   though I set FORCE_SOURCE_DATE=1. Is it even necessary to build the
>>   documentation?
> Maybe pdftrailerid can help you?  You could also try to convert the
> documentation into a reproducible format -- e.g. using pandoc.
It worked with \pdfsuppressptexinfo=-1. :)
>
>> * Using @abbr in the description does not work (I also did not find
>> it in any
>>   other package).
> My bad, that should be @acronym.
Ok thanks!
> Cheers